# Transfer Entropy Feature Selection

[![License: MIT](https://img.shields.io/badge/license-MIT-green)](LICENSE)
![PyPI - Version](https://img.shields.io/pypi/v/tefs)
![PyPI - Downloads](https://img.shields.io/pypi/dm/tefs)

This repository implements a causal feature selection algorithm based on transfer entropy. The algorithm is described in: Bonetti, P., Metelli, A. M., & Restelli, M. (2023, October 17). Causal Feature Selection via Transfer Entropy. (https://arxiv.org/abs/2310.11059).

## Installation

The package can be installed using pip:

```bash
pip install tefs
```

## How to use

Refer to the documentation for usage examples.

## Attribution

If you use this package in your research, please cite the following paper:

```bibtex
@INPROCEEDINGS{10651028,
  author={Bonetti, Paolo and Metelli, Alberto Maria and Restelli, Marcello},
  booktitle={2024 International Joint Conference on Neural Networks (IJCNN)}, 
  title={Causal Feature Selection via Transfer Entropy}, 
  year={2024},
  volume={},
  number={},
  pages={1-10},
  keywords={Machine learning algorithms;Time series analysis;Neural networks;Focusing;Feature extraction;Entropy;Data models;Feature selection;transfer entropy;causal feature selection;time series},
  doi={10.1109/IJCNN60899.2024.10651028}
}
```

## Authors

- Paolo Bonetti ([@PaoloBonettiPolimi](https://github.com/PaoloBonettiPolimi))
- Teo Bucci ([@teobucci](https://github.com/teobucci))
